
_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;SPI.c,10 :: 		void main() {
;SPI.c,11 :: 		AD1PCFG = 0xFFFF;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	MOV	#65535, W0
	MOV	WREG, AD1PCFG
;SPI.c,12 :: 		LATB = 0;
	CLR	LATB
;SPI.c,13 :: 		TRISB = 0;
	CLR	TRISB
;SPI.c,15 :: 		LATA = 0;
	CLR	LATA
;SPI.c,16 :: 		TRISA = 0;
	CLR	TRISA
;SPI.c,18 :: 		PPS_mapping(15, _INPUT, _U1RX );
	MOV.B	#21, W12
	MOV.B	#1, W11
	MOV.B	#15, W10
	CALL	_PPS_Mapping
;SPI.c,19 :: 		PPS_Mapping(14, _OUTPUT, _U1TX);
	MOV.B	#3, W12
	CLR	W11
	MOV.B	#14, W10
	CALL	_PPS_Mapping
;SPI.c,20 :: 		UART1_Init(19200);
	MOV	#19200, W10
	MOV	#0, W11
	CALL	_UART1_Init
;SPI.c,22 :: 		UART1_Write_Text("\nStarting..");
	MOV	#lo_addr(?lstr1_SPI), W10
	CALL	_UART1_Write_Text
;SPI.c,24 :: 		I2C1_Init(100000);
	MOV	#34464, W10
	MOV	#1, W11
	CALL	_I2C1_Init
;SPI.c,25 :: 		I2C1_Start();
	CALL	_I2C1_Start
;SPI.c,26 :: 		I2C1_Write(0b10010000);         // address TMP75 + W
	MOV.B	#144, W10
	CALL	_I2C1_Write
;SPI.c,27 :: 		I2C1_Write(0x00);               //  config register <= read temperature
	CLR	W10
	CALL	_I2C1_Write
;SPI.c,28 :: 		I2C1_Restart();
	CALL	_I2C1_Restart
;SPI.c,29 :: 		I2C1_Write(0b10010001);         // address TMP75 + R
	MOV.B	#145, W10
	CALL	_I2C1_Write
;SPI.c,30 :: 		j = I2C1_Read(1);               // Reading 1 byte then send N_Ack(1)
	MOV	#1, W10
	CALL	_I2C1_Read
	MOV	#lo_addr(_j), W1
	MOV.B	W0, [W1]
;SPI.c,31 :: 		I2C1_Stop();
	CALL	_I2C1_Stop
;SPI.c,32 :: 		UART1_Write_Text("\nTemperature : ");
	MOV	#lo_addr(?lstr2_SPI), W10
	CALL	_UART1_Write_Text
;SPI.c,33 :: 		shorttostr(j, txt);
	MOV	#lo_addr(_j), W0
	MOV	#lo_addr(_txt), W11
	MOV.B	[W0], W10
	CALL	_ShortToStr
;SPI.c,34 :: 		Uart1_Write_Text(txt);
	MOV	#lo_addr(_txt), W10
	CALL	_UART1_Write_Text
;SPI.c,52 :: 		while(1);
L_main0:
	GOTO	L_main0
;SPI.c,54 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
