// Software I2C connections
sbit Soft_I2C_Scl           at RB8_bit;
sbit Soft_I2C_Sda           at RB9_bit;
sbit Soft_I2C_Scl_Direction at TRISB8_bit;
sbit Soft_I2C_Sda_Direction at TRISB9_bit;
// End Software I2C connections

char j, txt[4];

void main() {
  AD1PCFG = 0xFFFF;
  LATB = 0;
  TRISB = 0;
  
  LATA = 0;
  TRISA = 0;
  
  PPS_mapping(15, _INPUT, _U1RX );
  PPS_Mapping(14, _OUTPUT, _U1TX);
  UART1_Init(19200);
  
  UART1_Write_Text("\nStarting..");

  I2C1_Init(100000);
  I2C1_Start();
  I2C1_Write(0b10010000);         // address TMP75 + W
  I2C1_Write(0x00);               //  config register <= read temperature
  I2C1_Restart();
  I2C1_Write(0b10010001);         // address TMP75 + R
  j = I2C1_Read(1);               // Reading 1 byte then send N_Ack(1)
  I2C1_Stop();
  UART1_Write_Text("\nTemperature : ");
  shorttostr(j, txt);
  Uart1_Write_Text(txt);
  
  /*UART1_Write_Text("\nStarting..");

  Soft_I2C_Init();           // Initialize Soft I2C communication       ~20kHz
  Soft_I2C_Start();
  Soft_I2C_Write(0b10010000);         // address TMP75 + W
  Soft_I2C_Write(0x00);               //  config register <= read temperature
  Soft_I2C_Stop();
  Soft_I2C_Start();
  Soft_I2C_Write(0b10010001);         // address TMP75 + R
  j = Soft_I2C_Read(1);               // Reading 1 byte then send N_Ack(1)
  Soft_I2C_Stop();
  UART1_Write_Text("\nTemperature : ");
  shorttostr(j, txt);
  Uart1_Write_Text(txt);*/
  

  while(1);

}